<?php

/**
 * @file
 * Post update functions for StandWithUkraine 🇺🇦.
 */

use Drupal\block\BlockInterface;
use Drupal\Core\Config\Entity\ConfigEntityUpdater;
use Drupal\standwithukraine\StandWithUkraineConfigUpdater;

/**
 * Inherit any block option from module settings.
 */
function standwithukraine_post_update_inherit(&$sandbox) {
  /** @var \Drupal\standwithukraine\StandWithUkraineConfigUpdater $updater */
  $updater = \Drupal::classResolver(StandWithUkraineConfigUpdater::class);

  \Drupal::classResolver(ConfigEntityUpdater::class)->update(
    $sandbox,
    'block',
    function (BlockInterface $block) use ($updater) {
      return $updater->block($block);
    }
  );
}
